part of serializer_dart;

/**
 * Custom type encoder interface
 */
abstract class TypeEncoder {
  Object encode(Object object, Encoder encoder);
}
/**
 * Object encoder interface
 */
abstract class Encoder {
  /**
   * Register custom encoder for a type. simpleClassName represents a class name, returned by
   */
  void registerCustomEncoder(String simpleClassName, TypeEncoder encoder);
  
  /**
   * Encode object to serializable presentation - Map
   */
  Object encodeObject(Object object);
}