part of serializer_dart;

/**
 * DateTime encoder
 */
class DateTimeEncoder implements TypeEncoder {
  String _leadZero(int value, {int length: 2}) {
    String result = "${value}";
    while(result.length < 2) {
      result = "0${result}";
    }
    return result;
  }
  
  Object encode(Object object, Encoder encoder) {
    DateTime dateTime = (object as DateTime);
    return "${dateTime.year}-${_leadZero(dateTime.month)}-${_leadZero(dateTime.day)}'T'${_leadZero(dateTime.hour)}:${_leadZero(dateTime.minute)}:${_leadZero(dateTime.second)}.${dateTime.millisecond}";
  }
}